Bug 1460858 - [RFE] Ensure custom SSL certificate(s) use PEM encoding
[RFE] Ensure custom SSL certificate(s) use PEM encoding
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Docs Install Guide (Show other bugs)
6.2.9
Unspecified Unspecified
medium Severity medium (vote)
: 6.2.12
: 6.2
Assigned To: Sergei Petrosian
Michaela Slaninkova
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-12 20:38 EDT by Russell Dickenson
Modified: 2017-06-27 09:49 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-27 09:49:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Russell Dickenson 2017-06-12 20:38:59 EDT
Document URL: https://access.redhat.com/documentation/en-us/red_hat_satellite/6.2/html/installation_guide/installing_satellite_server#configuring_satellite_server_with_custom_server_certificate

Section Number and Name: 3.4.6.1. OBTAIN AN SSL CERTIFICATE FOR THE SATELLITE SERVER

Describe the issue: Satellite 6 will ONLY accept a certificate in PEM format. If any other format is used, the following error message will be logged in 
/var/log/foreman-proxy/proxy.log:

OpenSSL::SSL:SSLError: SSL_accept returned=1 errno=0 state=SSLv3 read client certificate A: tlsv1 alert unknown ca

Suggestions for improvement: In the above procedure, add note that the SSL certificate must be provided in PEM encoded format.
Comment 3 Andrew Dahms 2017-06-15 20:43:11 EDT
Assigning to Sergei for review.
Comment 10 Sergei Petrosian 2017-06-27 09:49:16 EDT
These changes are now live on customer portal.

Thank you

Note You need to log in before you can comment on or make changes to this bug.